#!/bin/sh
#
# backup.sh  -  Backup control script
#
# Usage:  backup.sh LEVEL
#
#   where LEVEL = 0, 1
#

# Variables
#manda un e-mail del risultato a: 
EMAILTO=" <rudig@mercury>"
#nome del device di backup
DESTFILE="/dev/tape"
#directory o singoli files da backuppare (separati da uno spazio)
BACKUPFILES="/root /etc /home "
#directory dove stanno le funzioni di backup
BACKUPDIR="/usr/local/bin"
#livello del backup (atteso come parametro)
LEVEL="${1}"
#block factor del nastro
BLOCKS=512
#device del autoloader
MEDIACHANGER="/dev/changer"

# Load backup functions
cd ${BACKUPDIR}
. backup-functions


TAPE_N=$(date '+%w')
if [ $TAPE_N = 7 ]
then
	#domenica
	unload_tape
	eject_magazine
	exit
fi
if [ $TAPE_N = 6 ]
then
	#pulizia
	unload_tape
	load_tape	
	exit
fi



#attiva compressione
compression_on

#scarica nastro corrente
unload_tape

#carica nastro nuovo
load_tape

# Do the backup
tar_backup

# Test the backup for errors
tar_verify

# Email the backup report
mail_report

# Done
exit


